#!/bin/bash

# (c) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>
# Licensed under the GPL v2

if [[ $1 == "" ]]; then
	echo "Usage: ./program_device.sh bitfile.bit"
	exit 1
fi

UNIQUEID=$(date "+%s%N")
DEVICETYPE=$(bitdevice $1)
SVFFILE=/tmp/${UNIQUEID}.svf
bit2svf $1 $SVFFILE $DEVICETYPE
xsvf-rpi -v -s $SVFFILE
rm $SVFFILE
